Subject: RE: MARID Records and the standards process

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 21 Jun 2004 16:09:59 -0700

> I understand this argument, but it still strikes me as utterly
> unpersuasive.  For one thing, this kind of piggybacking only 
> makes sense
> when networks don't have unauthorized users, which means no 
> zombies, and I

Clearly you do not understand the argument. If MSN is rate limiting
then my machine is going to be limited even if it is taken over
by a zombie.

> I'd publish SPF saying that I use MSN, Comcast, and WBW.  I might even
> sign up for a few MSN and Comcast accounts and trickle out a 
> little mail
> through them.  What reputation do I get?  The max?  The min?  

The reputation associated with the path used. 

> > In short, discontinuous changes of format seldom happen.
> 
> Indeed.  They only happen when they're useful.  You cited http as an
> extensible format a little while ago, and I can't help but notice that
> extensible http 1.0 is quite incompatible with non-extensible 
> http 0.9,
> yet everyone adapted because 1.0 has advantages that made the 
> transition worthwhile.

That is a very bad example. I have personal experience of the issues
that 0.9 caused. People were still writing new 0.9 servers as late as 
1999.

Another example of what happens when this approach is taken is RSS.
There are so many RSS variants at this point that it will take ATOM
a long time just to sort them out.

> This still boils down to "it might be useful".  

Such statements tend to depend on who they come from. When people like
Bob and Jim make them I beleive that they require very serious attention.

> I have lots of swell
> anti-spam ideas that might be useful, but I'm not going to 
> tell people to
> build standards around them until I have some experiece that 
> demonstrates
> how useful they are.

So you are instead going to argue for writing a spec that in addition to
not supporting them now will make the task of supporting them in
the future much harder.